/**
 * Represents the result of a substitution.
 */
interface ISubstitutionResult {
    /**
     * The resulting text of the file.
     */
    fileText?: string;
    /**
     * A value indicating whether a substitution has been performed.
     */
    replaced: boolean;
}
/**
 * Transforms the specified {@linkcode text}.
 *
 * @param text
 * The text to transform.
 */
export declare function replaceInText(text: string): ISubstitutionResult;
/**
 * Transforms the file with the specified {@link fileName `fileName`}.
 *
 * @param fileName
 * The name of the file to transform.
 *
 * @param fileText
 * The text of the file to transform.
 *
 * @returns
 * The result of the substitution.
 */
export declare function replaceInText(fileName: string, fileText: string): ISubstitutionResult;
export {};
